Subject: Ticket Assigned - I feel very embarrassed and cheated for one of y recent orders. I did not receive what I ordered. Fe...
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 02 Jul 2020 08:59:19 +0000

Hi Ammar Ali,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I feel very embarrassed and cheated for one of y recent orders. I did not receive what I ordered. Fe... I feel very embarrassed and cheated for one of y recent orders. I did not receive what I ordered. Few items were defective, few were different than the color I ordered. Why would you send me defective items or different items? See the attached image. I https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1278989